Bug 233990 - www/chromium: Update to 71.0.3578.98
Summary: www/chromium: Update to 71.0.3578.98
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-chromium mailing list
URL: https://chromereleases.googleblog.com...
Keywords: security
Depends on:
Blocks: 234112
  Show dependency treegraph
 
Reported: 2018-12-13 18:45 UTC by cassidoj
Modified: 2019-01-08 09:50 UTC (History)
7 users (show)

See Also:
cassidoj: maintainer-feedback? (chromium)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cassidoj 2018-12-13 18:45:48 UTC
Please consider updating chromium to latest stable including security bug fix:

https://chromereleases.googleblog.com/2018/12/stable-channel-update-for-desktop.html
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 03:25:26 UTC
Pending VuXml entry
Comment 2 Carlos J. Puga Medina freebsd_committer 2019-01-04 16:54:45 UTC
Chromium will be updated to 71.0.3578.98 but there are pending tests with poudriere before we can push the update to the ports tree.

https://github.com/gliaskos/freebsd-chromium/pull/133
Comment 3 Rene Ladan freebsd_committer 2019-01-05 21:39:20 UTC
I am currently build-testing Chromium 71.0 (pull-request 134) for 11.2-RELEASE i386.
Comment 4 Carlos J. Puga Medina freebsd_committer 2019-01-05 22:41:18 UTC
(In reply to Rene Ladan from comment #3)

Great! I'm building chromium on 12.0-RELEASE/amd64.

New pull request to re-add support for aarch64 in the freebsd-chromium repository

https://github.com/gliaskos/freebsd-chromium/pull/136
Comment 5 Carlos J. Puga Medina freebsd_committer 2019-01-06 10:24:14 UTC
chromium builds/works fine on 12.0-RELEASE/amd64.

Build time with the jumbo build: 4 hours 57 min.
Comment 6 Rene Ladan freebsd_committer 2019-01-06 10:42:24 UTC
(In reply to Carlos J. Puga Medina from comment #4)

It fails on 11.2-RELEASE-i386 :

python "../../build/toolchain/gcc_link_wrapper.py" --output="./chrome" -- c++ -pie -Wl,--version-script=../../build/linux/chrome.map -Wl,--build-id=sha1 -fPIC -Wl,-z,noexecstack -Wl,-z,now -Wl,-z,relro -fuse-ld=lld -Wl,--icf=all -Wl,--color-diagnostics -m32 -Wl,-O2 -Wl,--gc-sections -rdynamic -Wl,-rpath-link=. -Wl,--disable-new-dtags -L/usr/local/lib -L/usr/local/lib/nss  -fstack-protector -L/usr/local/lib  -o "./chrome" -Wl,--start-group @"./chrome.rsp"  -Wl,--end-group   -lpthread -lX11 -lX11-xcb -lxcb -lXcomposite -lXcursor -lXdamage -lXext -lXfixes -lXi -lXrender -lXtst -lgmodule-2.0 -lglib-2.0 -lgobject-2.0 -lgthread-2.0 -lintl -lnss3 -lsmime3 -lnssutil3 -lplds4 -lplc4 -lnspr4 -ldl -lcups -lxml2 -lexpat -lfontconfig -ldbus-1 -lexecinfo -lkvm -lXss -lwebpdemux -lwebpmux -lwebp -lfreetype -ljpeg -lharfbuzz -ldrm -lXrandr -lgio-2.0 -lavcodec -lavformat -lavutil -lopenh264 -lopus -lm -lasound -lsnappy -lpangocairo-1.0 -lpango-1.0 -lcairo -lGL -lpci -latk-1.0 -latk-bridge-2.0 -latspi -lFLAC -lgtk-3 -lgdk-3 -lcairo-gobject -lgdk_pixbuf-2.0 -lxslt -lz -llzma -lrt 
/usr/bin/ld.lld: error: can't create dynamic relocation R_386_32 against local symbol in readonly segment; recompile object files with -fPIC
>>> defined in obj/third_party/libaom/libaom_yasm.a(highbd_intrapred_sse2.o)
>>> referenced by ../../third_party/libaom/source/libaom/aom_dsp/x86/highbd_intrapred_sse2.asm
>>>               highbd_intrapred_sse2.o:(aom_highbd_dc_predictor_4x4_sse2) in archive obj/third_party/libaom/libaom_yasm.a

(this message repeated for various functions in highbd_intrapred_sse2.o and intrapred_sse2.o, in final step 20490/20490)
Comment 7 Rene Ladan freebsd_committer 2019-01-06 10:58:29 UTC
Retrying for 12.0-RELEASE-i386 to see if the link errors are related to 32-bit architectures.
Comment 8 Carlos J. Puga Medina freebsd_committer 2019-01-06 11:06:47 UTC
(In reply to Rene Ladan from comment #6)

Try to link with -znotext on i386

LDFLAGS_i386=   -Wl,-znotext
Comment 9 Rene Ladan freebsd_committer 2019-01-06 11:20:23 UTC
(In reply to Carlos J. Puga Medina from comment #8)

Retrying for 11.2-RELEASE-i386
Comment 10 Rene Ladan freebsd_committer 2019-01-06 12:06:19 UTC
(In reply to Rene Ladan from comment #9)

That works :)
Comment 11 Carlos J. Puga Medina freebsd_committer 2019-01-06 12:28:20 UTC
According to bug 220103 to avoid the undefined symbol "environ" error on 13.0-RELEASE is necessary to add FreeBSD specific entries to chrome's version map.

dim@ submitted a patch to fix the issue: 

https://bugs.freebsd.org/bugzilla/attachment.cgi?id=200811
Comment 12 Rene Ladan freebsd_committer 2019-01-06 13:02:07 UTC
(In reply to Carlos J. Puga Medina from comment #11)

Thanks for the headsup, building a 13.0-amd64 version now locally (jail+host r342349, OSVERSION 1300005). Let's first see if it crashes without the patch.
Comment 13 Rene Ladan freebsd_committer 2019-01-07 19:20:57 UTC
(In reply to Rene Ladan from comment #12)
Stubborn me, it does ;)

With the patch the browser survives some smoke tests, including chrome://dino and Google Maps.

Can we get this committed to the ports tree?
Comment 14 commit-hook freebsd_committer 2019-01-07 19:47:42 UTC
A commit references this bug:

Author: cpm
Date: Mon Jan  7 19:47:23 UTC 2019
New revision: 489612
URL: https://svnweb.freebsd.org/changeset/ports/489612

Log:
  www/chromium: Update to 71.0.3578.98

  Changelog: https://chromium.googlesource.com/chromium/src/+log/68.0.3440.106..71.0.3578.98?pretty=fuller&n=10000

  PR:		233990
  Submitted by:	Matthias Wolf <freebsd@rheinwolf.de>
  Reported by:	nikolaibitinit@gmail.com
  Reviewed by:	rene, cpm
  Approved by:	rene, cpm
  MFH:		2019Q1
  Security:	http://vuxml.freebsd.org/freebsd/546d4dd4-10ea-11e9-b407-080027ef1a23.html
  Security:	http://vuxml.freebsd.org/freebsd/720590df-10eb-11e9-b407-080027ef1a23.html

Changes:
  head/www/chromium/Makefile
  head/www/chromium/Makefile.tests
  head/www/chromium/distinfo
  head/www/chromium/files/extra-patch-llvm-base
  head/www/chromium/files/patch-base_BUILD.gn
  head/www/chromium/files/patch-base_allocator_partition_allocator_partition_alloc_unittest.cc
  head/www/chromium/files/patch-base_posix_can__lower__nice__to.cc
  head/www/chromium/files/patch-base_process_process__metrics.cc
  head/www/chromium/files/patch-base_process_process__posix.cc
  head/www/chromium/files/patch-base_task_scheduler_scheduler_single_thread_task_runner_manager_unittest.cc
  head/www/chromium/files/patch-base_task_task_scheduler_scheduler_single_thread_task_runner_manager_unittest.cc
  head/www/chromium/files/patch-base_test_generate__fontconfig__caches.cc
  head/www/chromium/files/patch-build_config_BUILDCONFIG.gn
  head/www/chromium/files/patch-build_config_compiler_BUILD.gn
  head/www/chromium/files/patch-build_config_sysroot.gni
  head/www/chromium/files/patch-build_linux_chrome.map
  head/www/chromium/files/patch-build_linux_unbundle_ffmpeg.gn
  head/www/chromium/files/patch-build_linux_unbundle_libwebp.gn
  head/www/chromium/files/patch-build_toolchain_gcc_toolchain.gni
  head/www/chromium/files/patch-cc_BUILD.gn
  head/www/chromium/files/patch-chrome_app_chrome__main.cc
  head/www/chromium/files/patch-chrome_app_chrome__main__delegate.cc
  head/www/chromium/files/patch-chrome_app_generated__resources.grd
  head/www/chromium/files/patch-chrome_app_shutdown__signal__handlers__posix.cc
  head/www/chromium/files/patch-chrome_browser_about__flags.cc
  head/www/chromium/files/patch-chrome_browser_apps_platform_apps_api_music_manager_private_device__id__linux.cc
  head/www/chromium/files/patch-chrome_browser_browser__process__impl.cc
  head/www/chromium/files/patch-chrome_browser_browser__process__impl.h
  head/www/chromium/files/patch-chrome_browser_chrome__browser__main.cc
  head/www/chromium/files/patch-chrome_browser_chrome__browser__main__linux.cc
  head/www/chromium/files/patch-chrome_browser_chrome__content__browser__client.cc
  head/www/chromium/files/patch-chrome_browser_diagnostics_diagnostics__writer.cc
  head/www/chromium/files/patch-chrome_browser_diagnostics_diagnostics__writer.h
  head/www/chromium/files/patch-chrome_browser_download_download__commands.cc
  head/www/chromium/files/patch-chrome_browser_extensions_api_music__manager__private_device__id__linux.cc
  head/www/chromium/files/patch-chrome_browser_extensions_bookmark__app__helper.cc
  head/www/chromium/files/patch-chrome_browser_extensions_external__provider__impl.cc
  head/www/chromium/files/patch-chrome_browser_flag__descriptions.cc
  head/www/chromium/files/patch-chrome_browser_flag__descriptions.h
  head/www/chromium/files/patch-chrome_browser_media_router_providers_wired_display_wired_display_media_route_provider.cc
  head/www/chromium/files/patch-chrome_browser_notifications_message__center__notification__manager.cc
  head/www/chromium/files/patch-chrome_browser_renderer__preferences__util.cc
  head/www/chromium/files/patch-chrome_browser_ui_browser__view__prefs.cc
  head/www/chromium/files/patch-chrome_browser_ui_browser__window.h
  head/www/chromium/files/patch-chrome_browser_ui_libgtkui_nav_button_provider_gtk3.h
  head/www/chromium/files/patch-chrome_browser_ui_views_apps_chrome__native__app__window__views__aura.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_profiles_avatar_button.cc
  head/www/chromium/files/patch-chrome_browser_ui_webui_about__ui.cc
  head/www/chromium/files/patch-chrome_browser_web__applications_web__app.cc
  head/www/chromium/files/patch-chrome_browser_web__applications_web__app.h
  head/www/chromium/files/patch-chrome_browser_web_applications_extensions_web_app_extension_shortcut.cc
  head/www/chromium/files/patch-chrome_common_chrome__features.cc
  head/www/chromium/files/patch-chrome_common_chrome__features.h
  head/www/chromium/files/patch-chrome_common_extensions_api_BUILD.gn
  head/www/chromium/files/patch-chrome_common_extensions_api_api__sources.gni
  head/www/chromium/files/patch-chrome_common_extensions_chrome__extensions__client.cc
  head/www/chromium/files/patch-chrome_renderer_pepper_pepper__flash__font__file__host.cc
  head/www/chromium/files/patch-chrome_renderer_pepper_pepper__flash__font__file__host.h
  head/www/chromium/files/patch-components_autofill_core_browser_autofill__experiments.cc
  head/www/chromium/files/patch-components_autofill_core_browser_autofill__experiments.h
  head/www/chromium/files/patch-components_autofill_strings.grdp
  head/www/chromium/files/patch-components_crash_content_app_BUILD.gn
  head/www/chromium/files/patch-components_download_quarantine_quarantine_linux.cc
  head/www/chromium/files/patch-components_download_quarantine_test_support_linux.cc
  head/www/chromium/files/patch-components_drive_drive__api__util.cc
  head/www/chromium/files/patch-components_json__schema_json__schema__validator.cc
  head/www/chromium/files/patch-components_os__crypt_os__crypt.h
  head/www/chromium/files/patch-components_password__manager_core_browser_password_reuse_defines.h
  head/www/chromium/files/patch-content_app_content_main_runner_impl.cc
  head/www/chromium/files/patch-content_browser_BUILD.gn
  head/www/chromium/files/patch-content_browser_background_fetch_background_fetch_context.cc
  head/www/chromium/files/patch-content_browser_scheduler_responsiveness_native__event__observer.cc
  head/www/chromium/files/patch-content_browser_scheduler_responsiveness_native__event__observer.h
  head/www/chromium/files/patch-content_browser_webui_web_ui_data_source_impl.cc
  head/www/chromium/files/patch-content_browser_webui_web_ui_data_source_impl.h
  head/www/chromium/files/patch-content_browser_webui_web_ui_impl.cc
  head/www/chromium/files/patch-content_browser_webui_web_ui_impl.h
  head/www/chromium/files/patch-content_common_view__messages.h
  head/www/chromium/files/patch-content_gpu_gpu__main.cc
  head/www/chromium/files/patch-content_ppapi__plugin_ppapi__blink__platform__impl.cc
  head/www/chromium/files/patch-content_ppapi__plugin_ppapi__blink__platform__impl.h
  head/www/chromium/files/patch-content_public_browser_web_ui.h
  head/www/chromium/files/patch-content_public_browser_web_ui_data_source.h
  head/www/chromium/files/patch-content_public_common_common__param__traits__macros.h
  head/www/chromium/files/patch-content_renderer_input_input_event_prediction.cc
  head/www/chromium/files/patch-content_renderer_render__thread__impl.cc
  head/www/chromium/files/patch-content_renderer_renderer__blink__platform__impl.cc
  head/www/chromium/files/patch-content_renderer_renderer_main.cc
  head/www/chromium/files/patch-content_renderer_webscrollbarbehavior__impl__aura.cc
  head/www/chromium/files/patch-device_geolocation_location__arbitrator.cc
  head/www/chromium/files/patch-extensions_common_image__util.cc
  head/www/chromium/files/patch-extensions_renderer_bindings_api__binding__util.cc
  head/www/chromium/files/patch-gpu_command__buffer_service_program__manager.cc
  head/www/chromium/files/patch-headless_lib_browser_headless__content__browser__client.h
  head/www/chromium/files/patch-headless_lib_headless__macros.h
  head/www/chromium/files/patch-media_base_scopedfd__helper.h
  head/www/chromium/files/patch-media_base_video__frame.cc
  head/www/chromium/files/patch-media_base_video__frame.h
  head/www/chromium/files/patch-media_capture_video_create__video__capture__device__factory.cc
  head/www/chromium/files/patch-media_capture_video_linux_video__capture__device__factory__linux.cc
  head/www/chromium/files/patch-media_capture_video_linux_video__capture__device__linux.cc
  head/www/chromium/files/patch-media_capture_video_video__capture__device__factory.cc
  head/www/chromium/files/patch-net_base_address__tracker__linux.cc
  head/www/chromium/files/patch-net_features.gni
  head/www/chromium/files/patch-net_socket_udp__socket__posix.cc
  head/www/chromium/files/patch-sandbox_BUILD.gn
  head/www/chromium/files/patch-services_audio_BUILD.gn
  head/www/chromium/files/patch-services_device_geolocation_location__arbitrator.cc
  head/www/chromium/files/patch-services_device_hid_hid__connection__freebsd.cc
  head/www/chromium/files/patch-services_device_hid_hid__connection__freebsd.h
  head/www/chromium/files/patch-services_device_hid_hid__service__freebsd.cc
  head/www/chromium/files/patch-services_device_hid_hid__service__freebsd.h
  head/www/chromium/files/patch-services_device_time__zone__monitor_time__zone__monitor.cc
  head/www/chromium/files/patch-services_network_network__service.cc
  head/www/chromium/files/patch-services_network_network__service.h
  head/www/chromium/files/patch-services_network_network_sandbox_hook_linux.cc
  head/www/chromium/files/patch-services_network_public_cpp_cors_cors_legacy.cc
  head/www/chromium/files/patch-services_network_public_cpp_cors_cors_legacy.h
  head/www/chromium/files/patch-services_service__manager_public_cpp_standalone__service_BUILD.gn
  head/www/chromium/files/patch-services_service__manager_runner_host_BUILD.gn
  head/www/chromium/files/patch-third__party_angle_BUILD.gn
  head/www/chromium/files/patch-third__party_angle_third__party_vulkan-loader_src_loader_loader.c
  head/www/chromium/files/patch-third__party_angle_third__party_vulkan-loader_src_loader_vk__loader__platform.h
  head/www/chromium/files/patch-third__party_angle_third__party_vulkan-validation-layers_src_layers_vk__loader__platform.h
  head/www/chromium/files/patch-third__party_angle_third_party_vulkan-validation-layers_src_loader_loader.c
  head/www/chromium/files/patch-third__party_angle_third_party_vulkan-validation-layers_src_loader_vk_loader_platform.h
  head/www/chromium/files/patch-third__party_blink_renderer_platform_fonts_shaping_harfbuzz__face.cc
  head/www/chromium/files/patch-third__party_blink_renderer_platform_wtf_threading.cc
  head/www/chromium/files/patch-third__party_crashpad_crashpad_util_misc_address__types.h
  head/www/chromium/files/patch-third__party_googletest_src_googletest_test_googletest-port__test.cc
  head/www/chromium/files/patch-third__party_mesa_BUILD.gn
  head/www/chromium/files/patch-third__party_pdfium_fxjs_JS_Define.cpp
  head/www/chromium/files/patch-third__party_pdfium_fxjs_js__define.cpp
  head/www/chromium/files/patch-third__party_pdfium_xfa_fgas_font_cfgas_fontmgr.cpp
  head/www/chromium/files/patch-third__party_pdfium_xfa_fgas_font_cfx__fontsourceenum__file.cpp
  head/www/chromium/files/patch-third__party_perfetto_include_perfetto_base_event.h
  head/www/chromium/files/patch-third__party_perfetto_include_perfetto_base_time.h
  head/www/chromium/files/patch-third__party_perfetto_src_base_unix__socket.cc
  head/www/chromium/files/patch-third__party_perfetto_src_tracing_core_tracing__service__impl.cc
  head/www/chromium/files/patch-third__party_skia_src_opts_SkRasterPipeline_opts.h
  head/www/chromium/files/patch-third__party_skia_third__party_vulkanmemoryallocator_include_vk__mem__alloc.h
  head/www/chromium/files/patch-third__party_sqlite_BUILD.gn
  head/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_Display.cpp
  head/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_Surface.cpp
  head/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_libEGL.cpp
  head/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_libEGL.hpp
  head/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libGLES_CM_libGLES_CM.hpp
  head/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libGLESv2_libGLESv2.hpp
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_httpcommon.cc
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_physicalsocketserver.cc
  head/www/chromium/files/patch-third_party_blink_renderer_bindings_core_v8_v8_script_runner.cc
  head/www/chromium/files/patch-third_party_blink_renderer_core_xml_parser_xml_document_parser.cc
  head/www/chromium/files/patch-third_party_blink_renderer_platform_fonts_font_cache.cc
  head/www/chromium/files/patch-third_party_blink_renderer_platform_fonts_font_cache.h
  head/www/chromium/files/patch-third_party_blink_renderer_platform_image-decoders_jpeg_jpeg_image_decoder.cc
  head/www/chromium/files/patch-third_party_blink_renderer_platform_image-encoders_image_encoder.cc
  head/www/chromium/files/patch-third_party_blink_renderer_platform_image-encoders_image_encoder.h
  head/www/chromium/files/patch-third_party_blink_renderer_platform_wtf_byte_swap.h
  head/www/chromium/files/patch-third_party_blink_renderer_platform_wtf_compiler.h
  head/www/chromium/files/patch-third_party_blink_renderer_platform_wtf_threading_pthreads.cc
  head/www/chromium/files/patch-third_party_crashpad_crashpad_util_posix_symbolic_constants_posix.cc
  head/www/chromium/files/patch-third_party_googletest_src_googletest_test_gtest-port_test.cc
  head/www/chromium/files/patch-third_party_perfetto_src_base_unix_task_runner.cc
  head/www/chromium/files/patch-third_party_perfetto_src_tracing_core_service_impl.cc
  head/www/chromium/files/patch-tools_gn_args.cc
  head/www/chromium/files/patch-tools_gn_base_files_file__posix.cc
  head/www/chromium/files/patch-tools_gn_bootstrap_bootstrap.py
  head/www/chromium/files/patch-tools_gn_build_gen.py
  head/www/chromium/files/patch-tools_gn_tools_gn_args.cc
  head/www/chromium/files/patch-tools_gn_tools_gn_exec_process.cc
  head/www/chromium/files/patch-tools_gn_util_exe__path.cc
  head/www/chromium/files/patch-tools_gn_util_semaphore.cc
  head/www/chromium/files/patch-tools_gn_util_semaphore.h
  head/www/chromium/files/patch-tools_gn_util_ticks.cc
  head/www/chromium/files/patch-tools_variations_fieldtrial__to__struct.py
  head/www/chromium/files/patch-ui_base_ui__base__features.cc
  head/www/chromium/files/patch-ui_base_ui__base__features.h
  head/www/chromium/files/patch-ui_gfx_font__list.cc
  head/www/chromium/files/patch-ui_gfx_font__render__params.h
  head/www/chromium/files/patch-ui_gfx_gpu_memory_buffer.cc
  head/www/chromium/files/patch-ui_gfx_gpu_memory_buffer.h
  head/www/chromium/files/patch-ui_gl_BUILD.gn
  head/www/chromium/files/patch-ui_gl_gl_bindings_autogen_glx.cc
  head/www/chromium/files/patch-ui_gl_gl_fence.cc
  head/www/chromium/files/patch-ui_gl_gl_implementation.cc
  head/www/chromium/files/patch-ui_message__center_views_message__view__factory.cc
  head/www/chromium/files/patch-ui_message__center_views_toast__contents__view.cc
  head/www/chromium/files/patch-ui_message_center_public_cpp_message_center_constants.h
  head/www/chromium/files/patch-ui_message_center_views_message_popup_view.cc
  head/www/chromium/files/patch-ui_views_bubble_bubble__dialog__delegate.cc
  head/www/chromium/files/patch-ui_views_bubble_bubble__dialog__delegate__view.cc
  head/www/chromium/files/patch-ui_views_mus_aura__init.cc
  head/www/chromium/files/patch-ui_views_mus_aura__init.h
  head/www/chromium/files/patch-ui_views_widget_desktop_aura_desktop_screen_x11.cc
  head/www/chromium/files/patch-ui_views_window_frame_background.cc
  head/www/chromium/pkg-plist
Comment 15 Carlos J. Puga Medina freebsd_committer 2019-01-07 19:49:40 UTC
(In reply to Rene Ladan from comment #13)

Committed, thanks :)
Comment 16 commit-hook freebsd_committer 2019-01-08 09:49:18 UTC
A commit references this bug:

Author: cpm
Date: Tue Jan  8 09:48:44 UTC 2019
New revision: 489662
URL: https://svnweb.freebsd.org/changeset/ports/489662

Log:
  MFH: r489612

  www/chromium: Update to 71.0.3578.98

  Changelog: https://chromium.googlesource.com/chromium/src/+log/68.0.3440.106..71.0.3578.98?pretty=fuller&n=10000

  PR:		233990
  Submitted by:	Matthias Wolf <freebsd@rheinwolf.de>
  Reported by:	nikolaibitinit@gmail.com
  Reviewed by:	rene, cpm
  Approved by:	rene, cpm
  Security:	http://vuxml.freebsd.org/freebsd/546d4dd4-10ea-11e9-b407-080027ef1a23.html
  Security:	http://vuxml.freebsd.org/freebsd/720590df-10eb-11e9-b407-080027ef1a23.html

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/www/chromium/Makefile
  branches/2019Q1/www/chromium/Makefile.tests
  branches/2019Q1/www/chromium/distinfo
  branches/2019Q1/www/chromium/files/extra-patch-llvm-base
  branches/2019Q1/www/chromium/files/patch-base_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-base_allocator_partition_allocator_partition_alloc_unittest.cc
  branches/2019Q1/www/chromium/files/patch-base_posix_can__lower__nice__to.cc
  branches/2019Q1/www/chromium/files/patch-base_process_process__metrics.cc
  branches/2019Q1/www/chromium/files/patch-base_process_process__posix.cc
  branches/2019Q1/www/chromium/files/patch-base_task_scheduler_scheduler_single_thread_task_runner_manager_unittest.cc
  branches/2019Q1/www/chromium/files/patch-base_task_task_scheduler_scheduler_single_thread_task_runner_manager_unittest.cc
  branches/2019Q1/www/chromium/files/patch-base_test_generate__fontconfig__caches.cc
  branches/2019Q1/www/chromium/files/patch-build_config_BUILDCONFIG.gn
  branches/2019Q1/www/chromium/files/patch-build_config_compiler_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-build_config_sysroot.gni
  branches/2019Q1/www/chromium/files/patch-build_linux_chrome.map
  branches/2019Q1/www/chromium/files/patch-build_linux_unbundle_ffmpeg.gn
  branches/2019Q1/www/chromium/files/patch-build_linux_unbundle_libwebp.gn
  branches/2019Q1/www/chromium/files/patch-build_toolchain_gcc_toolchain.gni
  branches/2019Q1/www/chromium/files/patch-cc_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-chrome_app_chrome__main.cc
  branches/2019Q1/www/chromium/files/patch-chrome_app_chrome__main__delegate.cc
  branches/2019Q1/www/chromium/files/patch-chrome_app_generated__resources.grd
  branches/2019Q1/www/chromium/files/patch-chrome_app_shutdown__signal__handlers__posix.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_about__flags.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_apps_platform_apps_api_music_manager_private_device__id__linux.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_browser__process__impl.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_browser__process__impl.h
  branches/2019Q1/www/chromium/files/patch-chrome_browser_chrome__browser__main.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_chrome__browser__main__linux.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_chrome__content__browser__client.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_diagnostics_diagnostics__writer.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_diagnostics_diagnostics__writer.h
  branches/2019Q1/www/chromium/files/patch-chrome_browser_download_download__commands.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_extensions_api_music__manager__private_device__id__linux.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_extensions_bookmark__app__helper.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_extensions_external__provider__impl.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_flag__descriptions.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_flag__descriptions.h
  branches/2019Q1/www/chromium/files/patch-chrome_browser_media_router_providers_wired_display_wired_display_media_route_provider.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_notifications_message__center__notification__manager.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_renderer__preferences__util.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_ui_browser__view__prefs.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_ui_browser__window.h
  branches/2019Q1/www/chromium/files/patch-chrome_browser_ui_libgtkui_nav_button_provider_gtk3.h
  branches/2019Q1/www/chromium/files/patch-chrome_browser_ui_views_apps_chrome__native__app__window__views__aura.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_ui_views_profiles_avatar_button.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_ui_webui_about__ui.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_web__applications_web__app.cc
  branches/2019Q1/www/chromium/files/patch-chrome_browser_web__applications_web__app.h
  branches/2019Q1/www/chromium/files/patch-chrome_browser_web_applications_extensions_web_app_extension_shortcut.cc
  branches/2019Q1/www/chromium/files/patch-chrome_common_chrome__features.cc
  branches/2019Q1/www/chromium/files/patch-chrome_common_chrome__features.h
  branches/2019Q1/www/chromium/files/patch-chrome_common_extensions_api_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-chrome_common_extensions_api_api__sources.gni
  branches/2019Q1/www/chromium/files/patch-chrome_common_extensions_chrome__extensions__client.cc
  branches/2019Q1/www/chromium/files/patch-chrome_renderer_pepper_pepper__flash__font__file__host.cc
  branches/2019Q1/www/chromium/files/patch-chrome_renderer_pepper_pepper__flash__font__file__host.h
  branches/2019Q1/www/chromium/files/patch-components_autofill_core_browser_autofill__experiments.cc
  branches/2019Q1/www/chromium/files/patch-components_autofill_core_browser_autofill__experiments.h
  branches/2019Q1/www/chromium/files/patch-components_autofill_strings.grdp
  branches/2019Q1/www/chromium/files/patch-components_crash_content_app_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-components_download_quarantine_quarantine_linux.cc
  branches/2019Q1/www/chromium/files/patch-components_download_quarantine_test_support_linux.cc
  branches/2019Q1/www/chromium/files/patch-components_drive_drive__api__util.cc
  branches/2019Q1/www/chromium/files/patch-components_json__schema_json__schema__validator.cc
  branches/2019Q1/www/chromium/files/patch-components_os__crypt_os__crypt.h
  branches/2019Q1/www/chromium/files/patch-components_password__manager_core_browser_password_reuse_defines.h
  branches/2019Q1/www/chromium/files/patch-content_app_content_main_runner_impl.cc
  branches/2019Q1/www/chromium/files/patch-content_browser_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-content_browser_background_fetch_background_fetch_context.cc
  branches/2019Q1/www/chromium/files/patch-content_browser_scheduler_responsiveness_native__event__observer.cc
  branches/2019Q1/www/chromium/files/patch-content_browser_scheduler_responsiveness_native__event__observer.h
  branches/2019Q1/www/chromium/files/patch-content_browser_webui_web_ui_data_source_impl.cc
  branches/2019Q1/www/chromium/files/patch-content_browser_webui_web_ui_data_source_impl.h
  branches/2019Q1/www/chromium/files/patch-content_browser_webui_web_ui_impl.cc
  branches/2019Q1/www/chromium/files/patch-content_browser_webui_web_ui_impl.h
  branches/2019Q1/www/chromium/files/patch-content_common_view__messages.h
  branches/2019Q1/www/chromium/files/patch-content_gpu_gpu__main.cc
  branches/2019Q1/www/chromium/files/patch-content_ppapi__plugin_ppapi__blink__platform__impl.cc
  branches/2019Q1/www/chromium/files/patch-content_ppapi__plugin_ppapi__blink__platform__impl.h
  branches/2019Q1/www/chromium/files/patch-content_public_browser_web_ui.h
  branches/2019Q1/www/chromium/files/patch-content_public_browser_web_ui_data_source.h
  branches/2019Q1/www/chromium/files/patch-content_public_common_common__param__traits__macros.h
  branches/2019Q1/www/chromium/files/patch-content_renderer_input_input_event_prediction.cc
  branches/2019Q1/www/chromium/files/patch-content_renderer_render__thread__impl.cc
  branches/2019Q1/www/chromium/files/patch-content_renderer_renderer__blink__platform__impl.cc
  branches/2019Q1/www/chromium/files/patch-content_renderer_renderer_main.cc
  branches/2019Q1/www/chromium/files/patch-content_renderer_webscrollbarbehavior__impl__aura.cc
  branches/2019Q1/www/chromium/files/patch-device_geolocation_location__arbitrator.cc
  branches/2019Q1/www/chromium/files/patch-extensions_common_image__util.cc
  branches/2019Q1/www/chromium/files/patch-extensions_renderer_bindings_api__binding__util.cc
  branches/2019Q1/www/chromium/files/patch-gpu_command__buffer_service_program__manager.cc
  branches/2019Q1/www/chromium/files/patch-headless_lib_browser_headless__content__browser__client.h
  branches/2019Q1/www/chromium/files/patch-headless_lib_headless__macros.h
  branches/2019Q1/www/chromium/files/patch-media_base_scopedfd__helper.h
  branches/2019Q1/www/chromium/files/patch-media_base_video__frame.cc
  branches/2019Q1/www/chromium/files/patch-media_base_video__frame.h
  branches/2019Q1/www/chromium/files/patch-media_capture_video_create__video__capture__device__factory.cc
  branches/2019Q1/www/chromium/files/patch-media_capture_video_linux_video__capture__device__factory__linux.cc
  branches/2019Q1/www/chromium/files/patch-media_capture_video_linux_video__capture__device__linux.cc
  branches/2019Q1/www/chromium/files/patch-media_capture_video_video__capture__device__factory.cc
  branches/2019Q1/www/chromium/files/patch-net_base_address__tracker__linux.cc
  branches/2019Q1/www/chromium/files/patch-net_features.gni
  branches/2019Q1/www/chromium/files/patch-net_socket_udp__socket__posix.cc
  branches/2019Q1/www/chromium/files/patch-sandbox_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-services_audio_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-services_device_geolocation_location__arbitrator.cc
  branches/2019Q1/www/chromium/files/patch-services_device_hid_hid__connection__freebsd.cc
  branches/2019Q1/www/chromium/files/patch-services_device_hid_hid__connection__freebsd.h
  branches/2019Q1/www/chromium/files/patch-services_device_hid_hid__service__freebsd.cc
  branches/2019Q1/www/chromium/files/patch-services_device_hid_hid__service__freebsd.h
  branches/2019Q1/www/chromium/files/patch-services_device_time__zone__monitor_time__zone__monitor.cc
  branches/2019Q1/www/chromium/files/patch-services_network_network__service.cc
  branches/2019Q1/www/chromium/files/patch-services_network_network__service.h
  branches/2019Q1/www/chromium/files/patch-services_network_network_sandbox_hook_linux.cc
  branches/2019Q1/www/chromium/files/patch-services_network_public_cpp_cors_cors_legacy.cc
  branches/2019Q1/www/chromium/files/patch-services_network_public_cpp_cors_cors_legacy.h
  branches/2019Q1/www/chromium/files/patch-services_service__manager_public_cpp_standalone__service_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-services_service__manager_runner_host_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-third__party_angle_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-third__party_angle_third__party_vulkan-loader_src_loader_loader.c
  branches/2019Q1/www/chromium/files/patch-third__party_angle_third__party_vulkan-loader_src_loader_vk__loader__platform.h
  branches/2019Q1/www/chromium/files/patch-third__party_angle_third__party_vulkan-validation-layers_src_layers_vk__loader__platform.h
  branches/2019Q1/www/chromium/files/patch-third__party_angle_third_party_vulkan-validation-layers_src_loader_loader.c
  branches/2019Q1/www/chromium/files/patch-third__party_angle_third_party_vulkan-validation-layers_src_loader_vk_loader_platform.h
  branches/2019Q1/www/chromium/files/patch-third__party_blink_renderer_platform_fonts_shaping_harfbuzz__face.cc
  branches/2019Q1/www/chromium/files/patch-third__party_blink_renderer_platform_wtf_threading.cc
  branches/2019Q1/www/chromium/files/patch-third__party_crashpad_crashpad_util_misc_address__types.h
  branches/2019Q1/www/chromium/files/patch-third__party_googletest_src_googletest_test_googletest-port__test.cc
  branches/2019Q1/www/chromium/files/patch-third__party_mesa_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-third__party_pdfium_fxjs_JS_Define.cpp
  branches/2019Q1/www/chromium/files/patch-third__party_pdfium_fxjs_js__define.cpp
  branches/2019Q1/www/chromium/files/patch-third__party_pdfium_xfa_fgas_font_cfgas_fontmgr.cpp
  branches/2019Q1/www/chromium/files/patch-third__party_pdfium_xfa_fgas_font_cfx__fontsourceenum__file.cpp
  branches/2019Q1/www/chromium/files/patch-third__party_perfetto_include_perfetto_base_event.h
  branches/2019Q1/www/chromium/files/patch-third__party_perfetto_include_perfetto_base_time.h
  branches/2019Q1/www/chromium/files/patch-third__party_perfetto_src_base_unix__socket.cc
  branches/2019Q1/www/chromium/files/patch-third__party_perfetto_src_tracing_core_tracing__service__impl.cc
  branches/2019Q1/www/chromium/files/patch-third__party_skia_src_opts_SkRasterPipeline_opts.h
  branches/2019Q1/www/chromium/files/patch-third__party_skia_third__party_vulkanmemoryallocator_include_vk__mem__alloc.h
  branches/2019Q1/www/chromium/files/patch-third__party_sqlite_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_Display.cpp
  branches/2019Q1/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_Surface.cpp
  branches/2019Q1/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_libEGL.cpp
  branches/2019Q1/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_libEGL.hpp
  branches/2019Q1/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libGLES_CM_libGLES_CM.hpp
  branches/2019Q1/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libGLESv2_libGLESv2.hpp
  branches/2019Q1/www/chromium/files/patch-third__party_webrtc_rtc_base_httpcommon.cc
  branches/2019Q1/www/chromium/files/patch-third__party_webrtc_rtc_base_physicalsocketserver.cc
  branches/2019Q1/www/chromium/files/patch-third_party_blink_renderer_bindings_core_v8_v8_script_runner.cc
  branches/2019Q1/www/chromium/files/patch-third_party_blink_renderer_core_xml_parser_xml_document_parser.cc
  branches/2019Q1/www/chromium/files/patch-third_party_blink_renderer_platform_fonts_font_cache.cc
  branches/2019Q1/www/chromium/files/patch-third_party_blink_renderer_platform_fonts_font_cache.h
  branches/2019Q1/www/chromium/files/patch-third_party_blink_renderer_platform_image-decoders_jpeg_jpeg_image_decoder.cc
  branches/2019Q1/www/chromium/files/patch-third_party_blink_renderer_platform_image-encoders_image_encoder.cc
  branches/2019Q1/www/chromium/files/patch-third_party_blink_renderer_platform_image-encoders_image_encoder.h
  branches/2019Q1/www/chromium/files/patch-third_party_blink_renderer_platform_wtf_byte_swap.h
  branches/2019Q1/www/chromium/files/patch-third_party_blink_renderer_platform_wtf_compiler.h
  branches/2019Q1/www/chromium/files/patch-third_party_blink_renderer_platform_wtf_threading_pthreads.cc
  branches/2019Q1/www/chromium/files/patch-third_party_crashpad_crashpad_util_posix_symbolic_constants_posix.cc
  branches/2019Q1/www/chromium/files/patch-third_party_googletest_src_googletest_test_gtest-port_test.cc
  branches/2019Q1/www/chromium/files/patch-third_party_perfetto_src_base_unix_task_runner.cc
  branches/2019Q1/www/chromium/files/patch-third_party_perfetto_src_tracing_core_service_impl.cc
  branches/2019Q1/www/chromium/files/patch-tools_gn_args.cc
  branches/2019Q1/www/chromium/files/patch-tools_gn_base_files_file__posix.cc
  branches/2019Q1/www/chromium/files/patch-tools_gn_bootstrap_bootstrap.py
  branches/2019Q1/www/chromium/files/patch-tools_gn_build_gen.py
  branches/2019Q1/www/chromium/files/patch-tools_gn_tools_gn_args.cc
  branches/2019Q1/www/chromium/files/patch-tools_gn_tools_gn_exec_process.cc
  branches/2019Q1/www/chromium/files/patch-tools_gn_util_exe__path.cc
  branches/2019Q1/www/chromium/files/patch-tools_gn_util_semaphore.cc
  branches/2019Q1/www/chromium/files/patch-tools_gn_util_semaphore.h
  branches/2019Q1/www/chromium/files/patch-tools_gn_util_ticks.cc
  branches/2019Q1/www/chromium/files/patch-tools_variations_fieldtrial__to__struct.py
  branches/2019Q1/www/chromium/files/patch-ui_base_ui__base__features.cc
  branches/2019Q1/www/chromium/files/patch-ui_base_ui__base__features.h
  branches/2019Q1/www/chromium/files/patch-ui_gfx_font__list.cc
  branches/2019Q1/www/chromium/files/patch-ui_gfx_font__render__params.h
  branches/2019Q1/www/chromium/files/patch-ui_gfx_gpu_memory_buffer.cc
  branches/2019Q1/www/chromium/files/patch-ui_gfx_gpu_memory_buffer.h
  branches/2019Q1/www/chromium/files/patch-ui_gl_BUILD.gn
  branches/2019Q1/www/chromium/files/patch-ui_gl_gl_bindings_autogen_glx.cc
  branches/2019Q1/www/chromium/files/patch-ui_gl_gl_fence.cc
  branches/2019Q1/www/chromium/files/patch-ui_gl_gl_implementation.cc
  branches/2019Q1/www/chromium/files/patch-ui_message__center_views_message__view__factory.cc
  branches/2019Q1/www/chromium/files/patch-ui_message__center_views_toast__contents__view.cc
  branches/2019Q1/www/chromium/files/patch-ui_message_center_public_cpp_message_center_constants.h
  branches/2019Q1/www/chromium/files/patch-ui_message_center_views_message_popup_view.cc
  branches/2019Q1/www/chromium/files/patch-ui_views_bubble_bubble__dialog__delegate.cc
  branches/2019Q1/www/chromium/files/patch-ui_views_bubble_bubble__dialog__delegate__view.cc
  branches/2019Q1/www/chromium/files/patch-ui_views_mus_aura__init.cc
  branches/2019Q1/www/chromium/files/patch-ui_views_mus_aura__init.h
  branches/2019Q1/www/chromium/files/patch-ui_views_widget_desktop_aura_desktop_screen_x11.cc
  branches/2019Q1/www/chromium/files/patch-ui_views_window_frame_background.cc
  branches/2019Q1/www/chromium/pkg-plist